/*! 
    \file event_listener.h
    \brief Definition of an event listener base class

*/

#ifndef _EVENT_LISTENER_H
#define _EVENT_LISTENER_H

#include "base_object.h"
#include "event.h"
#include "event_def.h"


//! A class for event listener
class EventListener : public BaseObject {

 public:
  EventListener();
  virtual ~EventListener();

  virtual void process(const Event &event) = NULL;

 private:
  

};

#endif /* _EVENT_LISTENER_H */
